Sessions
Fork a session
Create an independent session from a fresh workspace snapshot, or the latest saved snapshot when stopped, without replaying messages or adding context. The fork returns right away and its messages queue until its workspace finishes booting.
POST
/
v1
/
sessions
/
{sessionId}
/
fork
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const session = await client.sessions.fork('7c9e6679-7425-40de-944b-e07fc1f90ae7', {
queueRightAway: true,
});use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client
.sessions()
.fork("7c9e6679-7425-40de-944b-e07fc1f90ae7", SessionsForkBody::new())
.send()
.await?;
curl --request POST \
--url https://api.tembo.io/v1/sessions/{sessionId}/fork \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"title": "<string>",
"queueRightAway": true
}
'import requests
url = "https://api.tembo.io/v1/sessions/{sessionId}/fork"
payload = {
"prompt": "<string>",
"title": "<string>",
"queueRightAway": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', title: '<string>', queueRightAway: true})
};
fetch('https://api.tembo.io/v1/sessions/{sessionId}/fork', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/sessions/{sessionId}/fork",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'title' => '<string>',
'queueRightAway' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/sessions/{sessionId}/fork"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"title\": \"<string>\",\n \"queueRightAway\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tembo.io/v1/sessions/{sessionId}/fork")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"title\": \"<string>\",\n \"queueRightAway\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/sessions/{sessionId}/fork")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"title\": \"<string>\",\n \"queueRightAway\": true\n}"
response = http.request(request)
puts response.read_body{
"agent": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactType": "PullRequest",
"baseBranch": "<string>",
"branchName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"externalUrl": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"lastQueuedAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"level": 123,
"mode": "normal",
"parentSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"sandboxSize": "nano",
"sessionType": "Chat",
"targetBranch": "<string>",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"visibility": "public",
"artifacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "PullRequest",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pullRequests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"status": "open",
"isDraft": true,
"sourceBranch": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"agent": "<string>",
"diff": {
"additions": 1,
"deletions": 1,
"data": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"baseBranch": "<string>",
"headSha": "<string>",
"author": {
"avatarUrl": "<string>",
"login": "<string>"
},
"codeRepository": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"baseBranch": "<string>",
"provider": "<string>"
}
}
]
}
],
"automaticSizing": true,
"description": "<string>",
"diffSummary": {
"additions": 123,
"deletions": 123
},
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"htmlUrl": "<string>",
"isPinned": true,
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"icon": "folder",
"color": "neutral"
},
"sessionSource": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"repositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>"
}
]
},
"sourcePullRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"status": "open",
"isDraft": true
},
"state": {
"isQueued": true,
"isCancelled": true,
"isCompleted": true,
"isFailed": true,
"inProgress": true,
"current": "inProgress"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Body
application/json
Response
Fork a session
Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const session = await client.sessions.fork('7c9e6679-7425-40de-944b-e07fc1f90ae7', {
queueRightAway: true,
});use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client
.sessions()
.fork("7c9e6679-7425-40de-944b-e07fc1f90ae7", SessionsForkBody::new())
.send()
.await?;
curl --request POST \
--url https://api.tembo.io/v1/sessions/{sessionId}/fork \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"title": "<string>",
"queueRightAway": true
}
'import requests
url = "https://api.tembo.io/v1/sessions/{sessionId}/fork"
payload = {
"prompt": "<string>",
"title": "<string>",
"queueRightAway": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', title: '<string>', queueRightAway: true})
};
fetch('https://api.tembo.io/v1/sessions/{sessionId}/fork', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/sessions/{sessionId}/fork",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'title' => '<string>',
'queueRightAway' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/sessions/{sessionId}/fork"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"title\": \"<string>\",\n \"queueRightAway\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tembo.io/v1/sessions/{sessionId}/fork")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"title\": \"<string>\",\n \"queueRightAway\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/sessions/{sessionId}/fork")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"title\": \"<string>\",\n \"queueRightAway\": true\n}"
response = http.request(request)
puts response.read_body{
"agent": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactType": "PullRequest",
"baseBranch": "<string>",
"branchName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"externalUrl": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"lastQueuedAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"level": 123,
"mode": "normal",
"parentSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"sandboxSize": "nano",
"sessionType": "Chat",
"targetBranch": "<string>",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"visibility": "public",
"artifacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "PullRequest",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pullRequests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"status": "open",
"isDraft": true,
"sourceBranch": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"agent": "<string>",
"diff": {
"additions": 1,
"deletions": 1,
"data": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"baseBranch": "<string>",
"headSha": "<string>",
"author": {
"avatarUrl": "<string>",
"login": "<string>"
},
"codeRepository": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"baseBranch": "<string>",
"provider": "<string>"
}
}
]
}
],
"automaticSizing": true,
"description": "<string>",
"diffSummary": {
"additions": 123,
"deletions": 123
},
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"htmlUrl": "<string>",
"isPinned": true,
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"icon": "folder",
"color": "neutral"
},
"sessionSource": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"repositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>"
}
]
},
"sourcePullRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"status": "open",
"isDraft": true
},
"state": {
"isQueued": true,
"isCancelled": true,
"isCompleted": true,
"isFailed": true,
"inProgress": true,
"current": "inProgress"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}